<?php
 //load image
                             
 
 function imagettfborder($im, $size, $angle, $x, $y, $color, $font, $text, $width) {
	// top
	imagettftext($im, $size, $angle, $x-$width, $y-$width, $color, $font, $text);
	imagettftext($im, $size, $angle, $x, $y-$width, $color, $font, $text);
	imagettftext($im, $size, $angle, $x+$width, $y-$width, $color, $font, $text);
	// bottom
	imagettftext($im, $size, $angle, $x-$width, $y+$width, $color, $font, $text);
	imagettftext($im, $size, $angle, $x, $y+$width, $color, $font, $text);
	imagettftext($im, $size, $angle, $x-$width, $y+$width, $color, $font, $text);
	// left
	imagettftext($im, $size, $angle, $x-$width, $y, $color, $font, $text);
	// right
	imagettftext($im, $size, $angle, $x+$width, $y, $color, $font, $text);
	for ($i = 1; $i < $width; $i++) {
		// top line
		imagettftext($im, $size, $angle, $x-$i, $y-$width, $color, $font, $text);
		imagettftext($im, $size, $angle, $x+$i, $y-$width, $color, $font, $text);
		// bottom line
		imagettftext($im, $size, $angle, $x-$i, $y+$width, $color, $font, $text);
		imagettftext($im, $size, $angle, $x+$i, $y+$width, $color, $font, $text);
		// left line
		imagettftext($im, $size, $angle, $x-$width, $y-$i, $color, $font, $text);
		imagettftext($im, $size, $angle, $x-$width, $y+$i, $color, $font, $text);
		// right line
		imagettftext($im, $size, $angle, $x+$width, $y-$i, $color, $font, $text);
		imagettftext($im, $size, $angle, $x+$width, $y+$i, $color, $font, $text);
	}
}
 
 
 function watermark($imagename, $arrText){
 
 $im = imagecreatefromjpeg($imagename); 


//figure out where to put the text
 $imagesize = getimagesize($imagename);
 $x_offset = 7;
 $y_offset = $imagesize[1] - 50;

//allocate text color
 $textcolor = imagecolorallocate($im, 0x00, 0x00, 0x8b);
 $shadowcolor= imagecolorallocate($im, 0xf5, 0xf5, 0xf5);

 $font = './niceforms/georgia.ttf';


  imagettfborder($im, 20, 0, 11, 21, $textcolor, $font, $arr, 5);

 foreach($arrText as $arr)
{                         
//write out the watermark
 //imagestring($im, 3, $x_offset, $y_offset, trim($arr), $textcolor);
 

 
 // Add some shadow to the text
imagettftext($im, 12, 0, $x_offset+1, $y_offset+1, $shadowcolor, $font, $arr);

// Add the text
imagettftext($im, 12, 0, $x_offset, $y_offset, $textcolor, $font, $arr);

  //imagettfborder($im, 20, 0, $x_offset,  $y_offset, $textcolor, $font, $arr, 3);
 
 $y_offset=$y_offset+15;
 } 

//output watermarked image
 header('Content-type: image/jpg');
 imagejpeg($im);

   }   
   
   
  //$imagename='dd.JPG';  
   /* 
   $watermarktext='watermark text goes here';    */
   
  
  
 
   
   $text=$_GET["text"];
  $arrText=explode("\n",wordwrap($text,24,"\n"));
   
   $imagename=$_GET["img"]; 
   
   //$arrtext=explode("\n",wordwrap($arrtext,20,"\n"));
    
   watermark($imagename, $arrText);                   

 ?> 